Create Contact Property

POST
https://reloop.sh/api/contacts/v1/properties/create

Body Parameters

namestringRequired

Property name (e.g., company_name, first_name)

  • Minimum length: 1
  • Maximum length: 255
type"string""number"Required

Possible values: string | number

fallbackValuestring

Default value to use when property is empty

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: property, error } = await reloop.contacts.createProperty({
  name: "company_name",
  type: "string",
  fallbackValue: "Unknown",
});
if (error) throw error;
{
  "object": "contact_property",
  "id": "con_123456789",
  "propertyName": "company",
  "propertyType": "example_propertyType",
  "defaultValue": null,
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z",
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page